← Hosting

PHP 5.4 Alpha

Lida 1287 vezes

Offline

Carlos Faustino 
Membro
Mensagens 396 Gostos 0
Feedback -1

Troféus totais: 24
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 5 Level 4 Level 3 Level 2 Level 1 100 Posts 50 Posts

Pois é, este mês de verão em que todos pensam ir para a praia outros ficam a desenvolver e desenvolver.

http://www.php.net/archive/2011.php#id2011-06-28-1

A versão 5.4 já está lançada.

Falo por experiência própria a versão 5.3 foi um fiasco completo, nunca cheguei a fazer update para 5.3 devido a incompatibilidade com o Zend
Offline

anjo2 
Membro
Mensagens 3020 Gostos 0
Troféus totais: 31
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4 Level 3 Level 2

Já está live à algum tempo, já tinha referido isso aqui http://forum.maistrafego.pt/index.php?topic=12919.msg324191#msg324191

A 5.3 não foi um fiasco por completo, servidores em produção fazer update para php5.3 é complicado, mas novos servidores por norma levam todos php5.3 e os clientes não se queixam, isto é mais para começar a preparar as pessoas para o php6.
Offline

Carlos Faustino 
Membro
Mensagens 396 Gostos 0
Feedback -1

Troféus totais: 24
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 5 Level 4 Level 3 Level 2 Level 1 100 Posts 50 Posts

Não costumo ir ao offtopic, realmente tens quota razão, servidores em produção quando toca a updates é sempre um risco, mas mesmo assim prefiro o 5.2, vamos ver agora o que o 5.4 nos reserva e se facilita no que toca ao update.

Tu mesmo sabes que o 5.3 e saio umas subversôes e mesmo assim não deram garantia relativo ao zend
Offline

asturmas 
Administrador
Mensagens 19734 Gostos 49
Feedback +2

Troféus totais: 39
Trófeus: (Ver todos)
Mobile User Windows User Super Combination Combination Topic Starter 100 Poll Votes 50 Poll Votes 10 Poll Votes Poll Voter Poll Starter

Falo por experiência própria a versão 5.3 foi um fiasco completo, nunca cheguei a fazer update para 5.3 devido a incompatibilidade com o Zend
Não concordo. A incompatibilidade com o Zend foi resolvida já ha algum tempo, os problemas que causam são a scripts antigos e não actualizados de resto... Mas como o anjo diz é a preparação para o PHP6
Offline

Nazgulled 
Membro
Mensagens 552 Gostos 0
Troféus totais: 29
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4 Level 3 Level 2

Eu quero é o PHP6 cá fora...

A ver se uniformizam melhor a linguagem, que neste momento é um caos de linguagem. Inconsistência atrás de inconsistência...
Offline

anjo2 
Membro
Mensagens 3020 Gostos 0
Troféus totais: 31
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4 Level 3 Level 2

Estás à espera que o php6 seja diferente do php5? A maior diferença será a mudança para utf-8
Offline

Nazgulled 
Membro
Mensagens 552 Gostos 0
Troféus totais: 29
Trófeus: (Ver todos)
Super Combination Combination Topic Starter 10 Poll Votes Poll Voter Poll Starter Level 5 Level 4 Level 3 Level 2

Eu sei que não vai ser muito diferente, foi só mais uma oportunidade de mandar um boca. Mas não é por isso que vai deixar de ser a minha linguagem de eleição para a web.
Offline

marsupillami 
Equipa
Mensagens 850 Gostos 3
Feedback +1

Troféus totais: 28
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Poll Voter Level 5 Level 4 Level 3 Level 2 Level 1 500 Posts

Ao nível de funções também existem alterações significativas que visam a remoção de funções idênticas. É esse um dos maiores problemas actualmente com o PHP 5.3.

O PHP 5.3 não é nenhum falhanço, de tal forma que vários CMS´s já se "corrigiram" para se adequar a ele. É apenas um passo para uma transição mais suave para o PHP 6.

Quando o PHP 5 foi lançado não existiu este passo intermédio. Os problemas foram bastante acentuados, de tal forma que a sua adopção demorou alguns anos.
Offline

Carlos Faustino 
Membro
Mensagens 396 Gostos 0
Feedback -1

Troféus totais: 24
Trófeus: (Ver todos)
Super Combination Combination Topic Starter Level 5 Level 4 Level 3 Level 2 Level 1 100 Posts 50 Posts

Ao nível de funções também existem alterações significativas que visam a remoção de funções idênticas. É esse um dos maiores problemas actualmente com o PHP 5.3.

O PHP 5.3 não é nenhum falhanço, de tal forma que vários CMS´s já se "corrigiram" para se adequar a ele. É apenas um passo para uma transição mais suave para o PHP 6.

Quando o PHP 5 foi lançado não existiu este passo intermédio. Os problemas foram bastante acentuados, de tal forma que a sua adopção demorou alguns anos.

Subscrevo.

Mas a parte do 5.3 mantenho